TYPO3 Version: 4.7
PHP Version: 5.3
Complexity:
Is Regression: No
Sprint Focus:
Subject: tslib_fe::fetch_the_id() calls deprecated function idPartsAnalyze()
Description

tslib_fe:

    /**
     * Analyzes the second part of a id-string (after the "+"), looking for B6 or M5 encoding and if found it will resolve it and
restore the variables in global $_GET
     * If values for ->cHash, ->no_cache, ->jumpurl and ->MP is found, they are also loaded into the internal vars of this class.
     *
     * @param    string        String to analyze
     * @return    void
     * @access private
     * @deprecated since TYPO3 4.3, will be removed in TYPO3 4.5, please use the "simulatestatic" sysext directly
     * @todo    Deprecated but still used in the Core!
     */
    function idPartsAnalyze($str)    {

It's used in fetch_the_id()

// Splitting by a '+' sign - used for base64/md5 methods of parameter encryption for simulate static documents.
list($pgID,$SSD_p)=explode('+',$this->idParts[0],2);
if ($SSD_p)    {    $this->idPartsAnalyze($SSD_p);    }
$this->id = $pgID;    // Set id

This code has to be changed! Otherwise we can't log calls or remove this function.

(issue imported from #M15581)

Related issues:
related to LTS Smooth Migration - Task # 49197: Check for 'Remove leftover de... Rejected 2013-06-17

History
#1 - 2010-08-27 22:50 - Steffen Gebert

Is this code really only related to simulatestatic, so when $SSD_p is set, we can call the idPartsAnalyze() method of simulatestatic?
#2 - 2011-12-17 12:14 - Steffen Gebert
- Target version deleted (0)
- TYPO3 Version changed from 4.5 to 4.7

Still an issue.

#3 - 2012-12-08 01:59 - Markus Klein

This has been refactored in TYPO3 CMS 6.0.
Unfortunately this cannot be fixed for 4.x easily.

#4 - 2013-09-14 23:07 - Christian Kuhn
- Status changed from New to Closed
- Is Regression set to No

Resolved in younger core versions, will not be fixed in older versions anymore.
